Skip to content

Retrieve a Phone

Request

OAuth 2.0 scope:
  • okta.myAccount.phone.read

Retrieves the current user's phone information by ID. Along with a collection of links describing the operations that can be performed to the phone.

Path
idstringrequired

The ID of the phone. Obtain the ID of the phone through GET /idp/myaccount/phones or POST /idp/myaccount/phones when adding a new phone.

Example:sms10ltpSdwXJCem80g4
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/phones/{id}
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/phones/sms10ltpSdwXJCem80g4 \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
idstring, non-emptyread-onlyrequired

The phone ID of the caller

profileobjectrequired

Defines the phone number on the profile

statusstring, non-emptyread-onlyrequired

The phone status of the caller

Enum:"VERIFIED""UNVERIFIED"
Response
{ "id": "sms10ltpSdwXJCem80g4", "status": "VERIFIED", "profile": { "phoneNumber": "+1(333)333-3333" }, "_links": { "self": {}, "challenge": {} } }